'*************************************************************************************
' Enterprise Menu Addition to add the default printer menu to the active directory
' Requires amendment to the active directory schema
' Brian Slack http://www.depicus.com email articles@depicus.com
'*************************************************************************************

Option Explicit

Dim TheRoot, TheDisplay, TheContext, TheMenu, TheLoop, TheNewMenu

set TheRoot = Getobject("LDAP://RootDSE")
set TheContext = GetObject("LDAP://" & "CN=409, CN=DisplaySpecifiers," & TheRoot.get("configurationNamingContext"))
Set TheDisplay = TheContext.GetObject("displaySpecifier","cn=user-Display")

TheLoop = 0
If Not IsEmpty(TheDisplay.adminContextMenu) Then
  TheMenu = TheDisplay.GetEx("adminContextMenu")
  For TheLoop = LBound(TheMenu) to UBound(TheMenu)
    If InStr(TheMenu(TheLoop),"&Default Printer") Then 
    MsgBox "Menu already exists ... exiting ..." 
    WScript.Quit
    End If
  Next
  TheLoop = TheLoop + 1
End If
TheNewMenu = CStr(TheLoop) & ",&Default Printer...,defaultPrinterAdmin.vbs"
TheDisplay.PutEx 3,"adminContextMenu" , Array(TheNewMenu)
TheDisplay.SetInfo

Set TheDisplay = Nothing
Set TheContext = Nothing
Set TheRoot = Nothing

MsgBox "Added Admin Context Menu item"
WScript.Quit