'*************************************************************************************
' Enterprise Logon script to set the default printer from the active directory
' Requires amendment to the active directory schema
' Brian Slack http://www.depicus.com email articles@depicus.com
'*************************************************************************************

Option Explicit

On Error Resume Next

Dim TheSystemInfo, TheNetwork, ThePrinterName, TheUser, TheUsersCN

set TheSystemInfo = createObject("adSystemInfo")
TheUsersCN = TheSystemInfo.userName
Set TheUser = GetObject("LDAP://" & TheUsersCN)
ThePrinterName = TheUser.Get("defaultPrinter") 

If ThePrinterName = "" Then
WScript.Quit
Else
Set TheNetwork = CreateObject("WScript.Network")
TheNetwork.AddWindowsPrinterConnection ThePrinterName
TheNetwork.SetDefaultPrinter ThePrinterName
Set TheNetwork = Nothing
End If

WScript.Quit
