'*************************************************************************************
' Enterprise Logoff script to save the current default printer in the active directory
' Requires amendment to the active directory schema
' Brian Slack http://www.depicus.com email articles@depicus.com
'*************************************************************************************

Option Explicit

Dim TheUsersCN, TheAnswer, TheUser, TheDefaultPrinter, TheShell, PrinterCheck, TheKey, TheSystemInfo 

Set TheShell = CreateObject("WScript.Shell")

Function GetTheDefaultPrinter()
PrinterCheck = TheShell.RegRead("HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\Windows\Device")
TheKey = "HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\Windows\Device"
If PrinterCheck <> "" Then
TheAnswer = UCase(left(TheShell.RegRead(TheKey),InStr(TheShell.RegRead(TheKey),",") - 1))
GetTheDefaultPrinter= TheAnswer
Else
WScript.Quit
End if
End Function

'On Error Resume Next

TheDefaultPrinter = GetTheDefaultPrinter

'Write to the Active Directory
set TheSystemInfo = createObject("adSystemInfo")
TheUsersCN = TheSystemInfo.userName
Set TheUser = GetObject("LDAP://" & TheUsersCN)
TheUser.Put "defaultPrinter",TheDefaultPrinter 
TheUser.Setinfo

WScript.Quit